function get_wand_box( player_id )
	
	local children = EntityGetAllChildren( player_id )
	if children ~= nil then
	for i,inv in ipairs( children ) do
		local name = EntityGetName( inv )
		if name == "inventory_quick" then
		
			local inv_children = EntityGetAllChildren( inv )
			for i, box in ipairs( inv_children ) do
				local is_box = EntityHasTag( box, "wazap_wand_box" )
				if is_box then
				
					local icomp = EntityGetFirstComponent( player_id, "Inventory2Component" )
					if icomp ~= nil then
					
						local wand = ComponentGetValue( icomp, "mActiveItem" )
						local is_wand = EntityHasTag( wand, "wand" )
		
						if is_wand then
							return inv, wand, box
						end
						
					end
					
				end
			end
		end
	end
	end
end
