dofile_once( "mods/wand_box/files/get_wand_box.lua" )


if (GlobalsGetValue( "WAZAP_WAND_BOX", "0" )) == "0" then
	return
end

local player_id = GetUpdatedEntityID()
local ctrlcomp = EntityGetFirstComponentIncludingDisabled(player_id, "ControlsComponent")
local right_click = ComponentGetValue2(ctrlcomp, "mButtonDownRightClick")
local right_click_transform = ComponentGetValue2(ctrlcomp, "mButtonDownTransformRight")

local inv, wand, box = get_wand_box( player_id )

if right_click then 

	WAZAP_WAND_BOX_Right_Click_Time = tonumber( GameGetFrameNum() )     
	if  WAZAP_WAND_BOX_Right_Click_Flag == nil then 
		WAZAP_WAND_BOX_Right_Click_Flag = 1
		WAZAP_WAND_BOX_Right_Click_Init_Time = tonumber(WAZAP_WAND_BOX_Right_Click_Time)
		GamePrint("右クリック長押しで杖を杖箱に格納します")
	end
     
	if not right_click_transform then
		local time_count = tonumber(WAZAP_WAND_BOX_Right_Click_Time) - tonumber(WAZAP_WAND_BOX_Right_Click_Init_Time)
		
		if time_count >= 120 then
		
			EntityRemoveFromParent( wand )
			EntityAddChild( box, wand )
			
			GamePrint("杖を格納しました")
			WAZAP_WAND_BOX_Right_Click_Flag = nil
		end
	end

elseif WAZAP_WAND_BOX_Right_Click_Flag == 1 then
	WAZAP_WAND_BOX_Right_Click_Flag = nil
end
