dofile_once( "mods/wand_box/files/slot_check.lua" )
dofile_once( "mods/wand_box/files/wand_box_check.lua" )

local player_id = GetUpdatedEntityID()
local is_player = EntityHasTag( player_id, "player_unit" )
local is_hax = GlobalsGetValue( "WAZAP_WAND_BOX", "0" )
local is_max = "0"

if not is_player then 
	--GamePrint( "Luacを持っているのがプレイヤーじゃないよ" )
	return
end

local children = EntityGetAllChildren( player_id )
if children ~= nil then
	for i,child in ipairs( children ) do
		local name = EntityGetName( child )
		if name == "inventory_quick" then
			
			local icomp = EntityGetFirstComponent( player_id, "Inventory2Component" )
			if icomp ~= nil then
			
				local is_max = slot_check( child )
				local is_box = wand_box_check( child )
									
			 	local active_item = ComponentGetValue( icomp, "mActiveItem" )
				local is_wand = EntityHasTag( active_item, "wand" )
				
				if ( is_wand ) and (is_hax == "0") and ( is_max == "1" ) and ( is_box == "1" ) then
					GamePrint( "wazap_wand_boxがONになったよ" )
					GlobalsSetValue( "WAZAP_WAND_BOX", "1" )
				elseif ( not is_wand ) then
					GlobalsSetValue( "WAZAP_WAND_BOX", "0" )
				end
				
			end
		end
	end
end
	
		
	
		
   				
