
function OnPlayerSpawned( player_entity )

	if GlobalsGetValue("WAZAP_LOAD_KEY_WAND_BOX", "0") == "1" then
		return
	end
	GlobalsSetValue("WAZAP_LOAD_KEY_WAND_BOX", "1")

	local cid = EntityAddComponent( player_entity, "LuaComponent",{
									script_source_file    = "mods/wand_box/files/wand_box.lua",
									execute_every_n_frame = "1"
									})
	if cid ~= nil then
		--local text = "player_entityにLuaComponent1をセットしました"
		--GamePrint(text)
	end
	
	local cid2 = EntityAddComponent( player_entity, "LuaComponent",{
									script_source_file    = "mods/wand_box/files/right_click.lua",
									execute_every_n_frame = "1"
									})
	if cid2 ~= nil then
		--local text = "player_entityにLuaComponent2をセットしました"
		--GamePrint(text)
	end
	
	local box = EntityLoad("mods/wand_box/files/entites/wand_box.xml")
	
	local children = EntityGetAllChildren( player_entity )
	if children ~= nil then
		for i,child in ipairs( children ) do
			local name = EntityGetName( child )
			
			if name == "inventory_quick" then
				EntityAddChild( child, box )
			end
		end
	end
	
end 
